<?php

/**
 * This software is intended for use with Oxwall Free Community Software http://www.oxwall.org/ and is a proprietary licensed product. 
 * For more information see License.txt in the plugin folder.

 * ---
 * Copyright (c) 2018, Ebenezer Obasi
 * All rights reserved.
 * info@eobasi.com.

 * Redistribution and use in source and binary forms, with or without modification, are not permitted provided.

 * This plugin should be bought from the developer. For details contact info@eobasi.com.

 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
 * AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
 
/**
 * @author Ebenezer Obasi <info@eobasi.com>
 * @package ow_plugins.helpcenter.classes
 * @since 1.0
 */
class HELPCENTER_CLASS_CategoryForm extends Form
{
	public function __construct( ) 
	{
		parent::__construct( 'add_category' );

		$lang = OW::getLanguage();
		$categories = HELPCENTER_BOL_Service::getInstance()->findAllCategory( true );

		$field = new TextField('name');
		$field->setDescription($lang->text('helpcenter', 'admin_category_form_name_invitation'));
		$field->setLabel($lang->text('helpcenter', 'admin_category_form_name_label'));
		$field->setRequired(true);
		$this->addElement( $field );

		$field = new Textarea('description');
		$field->setDescription($lang->text('helpcenter', 'admin_category_form_desc_invitation'));
		$field->setLabel($lang->text('helpcenter', 'admin_category_form_desc_label'));
		$this->addElement( $field );
		
		$field = new SelectBox('parent');
		$field->setHasInvitation(true);
		$field->setInvitation($lang->text('helpcenter', 'admin_category_form_parent_invitation'));
		$field->setLabel($lang->text('helpcenter', 'admin_category_form_parent_label'));
		$field->setDescription($lang->text('helpcenter', 'admin_category_form_parent_desc'));
		foreach( $categories as $category )
		{
			$field->addOption($category->id, $category->name);
			
			foreach($category->children as $child)
			{
				$field->addOption($child->id, '— '.$child->name);
			}
		}
        $this->addElement($field);

		$submit = new Submit('addCat');
		$submit->setValue($lang->text('helpcenter', 'admin_category_form_submit_value'));
		$this->addElement($submit);
	}
}