<?php

/**
 * This software is intended for use with Oxwall Free Community Software http://www.oxwall.org/ and is a proprietary licensed product. 
 * For more information see License.txt in the plugin folder.

 * ---
 * Copyright (c) 2018, Ebenezer Obasi
 * All rights reserved.
 * info@eobasi.com.

 * Redistribution and use in source and binary forms, with or without modification, are not permitted provided.

 * This plugin should be bought from the developer. For details contact info@eobasi.com.

 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
 * AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
 
/**
 * @author Ebenezer Obasi <info@eobasi.com>
 * @package ow_plugins.helpcenter.classes
 * @since 1.0
 */
class HELPCENTER_CLASS_TopicForm extends Form
{
	public function __construct( $topic = null ) 
	{
		parent::__construct( 'add_topic' );

		$lang = OW::getLanguage();
		
		$tagService = BOL_TagService::getInstance();
		$tags = array();
		
		if( !empty( $topic ) )
		{
			if ( intval($topic->getId()) > 0 )
			{
				$arr = $tagService->findEntityTags($topic->getId(), 'helpcenter');

				foreach ( (!empty($arr) ? $arr : array() ) as $dto )
				{
					$tags[] = $dto->getLabel();
				}
			}
			
		}
		
		$field = new TextField('title');
		$field->setHasInvitation(true);
		$field->setInvitation($lang->text('helpcenter', 'topic_form_title_field_invitation'));
		if( !empty( $topic ) ) $field->setValue( $topic->title );
		$field->setRequired(true);
		$this->addElement( $field );
		
		$field = new HELPCENTER_CLASS_Wysiwyg('body');
		$field->setLabel($lang->text('helpcenter', 'topic_form_body_field_label'));
		if( !empty( $topic ) ) $field->setValue( $topic->body );
		$field->setRequired(true);
		$this->addElement( $field );
		
		$field = new HELPCENTER_CLASS_CategoryField('category');
		$field->setLabel($lang->text('helpcenter', 'topic_form_category_field_label'));
		if( !empty( $topic ) ) $field->setValue( $topic->category );
		$field->setRequired(true);
        $this->addElement($field);

        $field = new TagsInputField('tags');
        $field->setLabel($lang->text('helpcenter', 'topic_form_tags_field_label'));
        $field->setDescription($lang->text('helpcenter', 'topic_form_tags_field_desc'));
        $field->setDelimiterChars(array('.'));
		$field->setValue( $tags );
        $this->addElement($field);

		$submit = new Submit('addTopic');
		$submit->setValue($lang->text('helpcenter', 'topic_form_save_value'));
		if( !empty( $topic ) ) $submit->setValue( $lang->text('helpcenter', 'topic_form_update_value') );
		$this->addElement($submit);
	}
}