<?php

/**
 * This software is intended for use with Oxwall Free Community Software http://www.oxwall.org/ and is a proprietary licensed product. 
 * For more information see License.txt in the plugin folder.

 * ---
 * Copyright (c) 2018, Ebenezer Obasi
 * All rights reserved.
 * info@eobasi.com.

 * Redistribution and use in source and binary forms, with or without modification, are not permitted provided.

 * This plugin should be bought from the developer. For details contact info@eobasi.com.

 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
 * AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

$dbPrefix = OW_DB_PREFIX;
$config = OW::getConfig();
$sql = array();

$sql[] = "CREATE TABLE IF NOT EXISTS `{$dbPrefix}helpcenter_category` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL,
  `description` longtext NULL,
  `parent` int(11) DEFAULT '0',
  PRIMARY KEY  (`id`)
)";

$sql[] = "CREATE TABLE IF NOT EXISTS `{$dbPrefix}helpcenter_topic` (
  `id` int(11) NOT NULL auto_increment,
  `title` varchar(255) NOT NULL,
  `body` text NOT NULL,
  `category` int(11) NOT NULL,
  `timeStamp` int(11) NOT NULL,
  `status` BOOL NOT NULL DEFAULT '0',
  PRIMARY KEY  (`id`)
)";

foreach( $sql as $query) OW::getDbo()->query($query);

$params = array(
	'display_faq' => '',
	'featured_count' => '5',
	'custom_index_content' => '',
	'default_category' => '',
	'theme' => 'default',
	'css' => '',
);

foreach( $params as $key => $value )
{
	if( !$config->configExists('helpcenter', $key) ) 
	{
		$config->addConfig('helpcenter', $key, $value);
	}
}

BOL_LanguageService::getInstance()->addPrefix('helpcenter', 'Help Center');
OW::getPluginManager()->addPluginSettingsRouteName('helpcenter', 'helpcenter_admin_index');
OW::getLanguage()->importPluginLangs(OW::getPluginManager()->getPlugin('helpcenter')->getRootDir() . 'langs.zip', 'helpcenter');